Page MenuHomePhabricator

Reading Infrastructure Roadmap April - June 2015 (Q4 2014/2015)
Closed, ResolvedPublic

Description

Expected staffing: 3 engineers (@Anomie, @bd808, @Tgr)

ObjectiveKey resultETA
T37707: Complete unification of all accounts to SULZero unattached accounts on the WMF production cluster2015-04
T86869: Support a nice sso experience with MediaWiki's OAuthUX research validated user experience without major issues for one major consumer on desktop web and one major consumer on mobile web2015-06
T89459: Modernize MediaWiki authentication system (AuthManager)WMF projects and Wikitech using AuthManager based authn2015-06
Address backend errors identified by UploadWizard instrumentationDecreased upload funnel drop offs2015-06

Event Timeline

bd808 created this task.Mar 25 2015, 1:05 AM
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 1:05 AM
bd808 renamed this task from [draft] MediaWiki API Roadmap April - June 2015 (Q4 2014/2015) to MediaWiki API Roadmap April - June 2015 (Q4 2014/2015).Apr 2 2015, 9:28 PM
bd808 updated the task description. (Show Details)
bd808 set Security to None.
bd808 updated the task description. (Show Details)Apr 2 2015, 9:46 PM
bd808 renamed this task from MediaWiki API Roadmap April - June 2015 (Q4 2014/2015) to Reading Infrastructure Roadmap April - June 2015 (Q4 2014/2015).Apr 28 2015, 4:38 PM
bd808 updated the task description. (Show Details)
bd808 closed this task as Resolved.Jul 6 2015, 3:57 PM
bd808 claimed this task.